# Generated by Django 4.2 on 2023-04-10 04:41

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('app_clientes', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Cliente',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nombres', models.CharField(max_length=45)),
                ('ap_paterno', models.CharField(max_length=45)),
                ('ap_materno', models.CharField(blank=True, max_length=45, null=True)),
                ('fecha_de_pago', models.DateField()),
                ('estatus', models.CharField(choices=[('ACTIVO', 'ACTIVO'), ('INACTIVO', 'INACTIVO')], default='ACTIVO', max_length=12)),
                ('genero', models.CharField(choices=[('MASCULINO', 'MASCULINO'), ('FEMENINO', 'FEMENINO'), ('OTROS', 'OTROS')], default='MASCULINO', max_length=12)),
                ('domicilio', models.CharField(blank=True, max_length=100, null=True)),
                ('telefono', models.IntegerField(blank=True, null=True)),
                ('correo', models.EmailField(blank=True, max_length=254, null=True)),
                ('monto_a_pagar', models.DecimalField(blank=True, decimal_places=2, max_digits=8, null=True)),
                ('notas', models.CharField(blank=True, max_length=100, null=True)),
            ],
            options={
                'verbose_name_plural': 'Clientes',
            },
        ),
        migrations.CreateModel(
            name='Contador',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nombres', models.CharField(max_length=45)),
                ('ap_paterno', models.CharField(max_length=45)),
                ('ap_materno', models.CharField(blank=True, max_length=45, null=True)),
                ('genero', models.CharField(choices=[('MASCULINO', 'MASCULINO'), ('FEMENINO', 'FEMENINO'), ('OTROS', 'OTROS')], default='MASCULINO', max_length=12)),
                ('domicilio', models.CharField(blank=True, max_length=100, null=True)),
                ('telefono', models.IntegerField(blank=True, null=True)),
                ('correo', models.EmailField(blank=True, max_length=254, null=True)),
            ],
            options={
                'verbose_name_plural': 'Contadores',
            },
        ),
        migrations.CreateModel(
            name='Instalacion',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('fecha', models.DateField()),
                ('forma_de_pago', models.CharField(choices=[('AL CONTADO', 'AL CONTADO'), ('EN ABONOS', 'EN ABONOS')], default='AL CONTADO', max_length=12)),
                ('monto_recibido', models.DecimalField(blank=True, decimal_places=2, max_digits=8, null=True)),
                ('notas', models.CharField(blank=True, max_length=250, null=True)),
            ],
            options={
                'verbose_name_plural': 'Instalaciones',
            },
        ),
        migrations.CreateModel(
            name='Pago',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('fecha_de_emision', models.DateTimeField(auto_now_add=True)),
                ('concepto', models.CharField(choices=[('MENSUALIDAD', 'MENSUALIDAD'), ('ABONO DE INSTALACIÓN', 'ABONO DE INSTALACIÓN')], default='MENSUALIDAD', max_length=25)),
                ('total', models.DecimalField(decimal_places=2, max_digits=8)),
                ('notas', models.CharField(blank=True, max_length=150, null=True)),
                ('cliente', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='app_clientes.cliente')),
                ('contador', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='app_clientes.contador')),
            ],
            options={
                'verbose_name_plural': 'Pagos',
            },
        ),
        migrations.AddField(
            model_name='cliente',
            name='instalacion',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='app_clientes.instalacion'),
        ),
        migrations.AddField(
            model_name='cliente',
            name='localidad',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='app_clientes.localidad'),
        ),
    ]
